package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBacis;
import com.muyu.domain.WarnStrategy;
import com.muyu.domain.resp.WarnStrategyAndVinResp;
import com.muyu.domain.resp.WarnVehicleResp;

import java.util.List;

/**
 * 预警策略缓存服务
 */
public class AllWarnStrategyCacheService extends CacheAbsBacis<String, WarnVehicleResp> {
    @Override
    public void clear() {

    }

    @Override
    public String keyPre() {
        return "AllWarnStrategy:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("AllWarnStrategy:info:", "");
    }
}
